Page MenuHomePhabricator

[Hexagon] v67+ HVX register pairs should support either direction
ClosedPublic

Authored by bcain on Feb 7 2020, 10:17 AM.

Details

Summary

Assembler now permits pairs like 'v0:1', which are encoded
differently from the odd-first pairs like 'v1:0'.

The compiler will require more work to leverage these new register
pairs.

Diff Detail

Event Timeline

bcain created this revision.Feb 7 2020, 10:17 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 7 2020, 10:17 AM
Herald added a subscriber: hiraditya. · View Herald Transcript
bcain updated this revision to Diff 243234.Feb 7 2020, 10:36 AM

add context

bcain updated this revision to Diff 243240.Feb 7 2020, 10:59 AM

ran git-clang-format

bcain added a comment.Feb 13 2020, 3:21 PM

Ping - any questions/suggestions about this patch?

sidneym accepted this revision.Feb 14 2020, 9:30 AM

I've been told that comments in tests should start with ##.

This revision is now accepted and ready to land.Feb 14 2020, 9:30 AM
bcain updated this revision to Diff 244695.Feb 14 2020, 9:55 AM

Add ## for the comments in the new test cases.

bcain closed this revision.Wed, Jun 3, 7:58 AM